<template>
  <div :class="$style.card">
    <header><slot name="header"></slot></header>
    <main><slot name="main-content"></slot></main>
    <footer><slot name="footer"></slot></footer>
  </div>
</template>

<script lang="ts">
import Vue from "vue";

export default Vue.extend({
  name: "BaseCard"
});
</script>

<style module lang="scss">
.card {
  composes: padding-y--default;
  composes: padding-x--default;
  composes: border-radius--default;
  box-shadow: $shadow--default;
  composes: max-width--100;
  &:hover {
    transform: scale(1.02);
    transition: transform 0.3s;
  }
}

@media screen and (max-width: $device-size--desktop-laptop) {
  .card {
    padding: 1rem 1rem;
    box-sizing: border-box;
  }
}

@media screen and (max-width: $device-size--tablet) {
  .card {
    padding: 1rem 1rem;
    box-sizing: border-box;
  }
}

@media screen and (max-width: $device-size--mobile-large) {
  .card {
    padding: 1rem 1rem;
  }
}
</style>
